call spQuery_Lista_Repartidor(1,'%','%');

DROP PROCEDURE IF EXISTS spQuery_Lista_Repartidor;
CREATE PROCEDURE spQuery_Lista_Repartidor(	
	varCodigo varchar(19),
  varNombre varchar(80),
  varDni    varchar(20)
)
BEGIN 
 if varCodigo = '' or varCodigo IS NULL then
   	select id_repartidor, nombre, dni, monto
    from _sv_repartidor 
    where _estado = 'A' and estado = 'A'
    and ifnull(nombre,'') like concat('%', varNombre, '%')
    and ifnull(dni,'') like concat('%', varDni, '%');
 else
    select id_repartidor, nombre, dni, monto
    from _sv_repartidor  
    where _estado = 'A' and estado = 'A'
    and id_repartidor = varCodigo;
 end if;  
END;